./paket restore failed with an error


#1

./paket restore failed. Does anyone meet it before?

Downloading FSharpx.Collections 1.17
Download of System.Reactive.Providers 4.0 done in 2 seconds. (138 kbit/s, 0 MB)
Downloading System.Reactive.Runtime.Remoting 4.0
Something failed in GetPackageDetails, trying again with force: Couldn’t get package details for package NUnit.ConsoleRunner 3.9.0-dev-04001 on https://www.myget.org/F/nunit/api/v3/index.json.
Something went wrong while downloading NUnit.ConsoleRunner 3.9.0-dev-04001
Message: Could not download NUnit.ConsoleRunner 3.9.0-dev-04001.
==> Trying again
Downloading NUnit.ConsoleRunner 3.9.0-dev-04001
Something went wrong while downloading NUnit.ConsoleRunner 3.9.0-dev-04001
Message: Could not download NUnit.ConsoleRunner 3.9.0-dev-04001.
==> Last trial
Downloading NUnit.ConsoleRunner 3.9.0-dev-04001
Performance:

  • Disk IO: 1 second
  • Average Download Time: 743 milliseconds
  • Number of downloads: 26
  • Average Request Time: 643 milliseconds
  • Number of Requests: 29
  • Runtime: 22 seconds
    Paket failed with
    -> Could not download NUnit.ConsoleRunner 3.9.0-dev-04001.
    -> Couldn’t get package details for package NUnit.ConsoleRunner 3.9.0-dev-04001 on https://www.myget.org/F/nunit/api/v3/index.json.

#2

I think I fix it with change the version in paket.lock to the lastest 3.9.0 ver that list in followed web

In paket.lock, what I change is
remote: https://www.myget.org/F/nunit/api/v3/index.json
NUnit.ConsoleRunner (3.9.0-dev-04001)

To

remote: https://www.myget.org/F/nunit/api/v3/index.json
NUnit.ConsoleRunner (3.9.0-dev-04072)


#3

Thanks for this share!

If problem happens to be persist we can open a Ticket at Help Desk.